# Generated by Django 4.0.2 on 2022-02-06 21:11

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Classification',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Storage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Variety',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('classification', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='wine.classification')),
            ],
        ),
        migrations.CreateModel(
            name='Winery',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('website', models.URLField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Wine',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('comment', models.TextField(blank=True, null=True)),
                ('storage', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='wine.storage')),
                ('variety', models.ManyToManyField(to='wine.Variety')),
                ('winery', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='wine.winery')),
            ],
        ),
        migrations.CreateModel(
            name='Millesime',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('year', models.PositiveIntegerField()),
                ('size', models.CharField(choices=[('piccolo', 'Piccolo (0,20 Litres)'), ('quart', 'Quart (0,25 Litres)'), ('demi', 'Demi (0,375 Litres)'), ('medium', 'Médium (0,50 Litres)'), ('bouteille', 'Bouteille (0,75 Litres)'), ('magnum', 'Magnum (1,5 Litres)'), ('jeroboam', 'Jéroboam (3 Litres)'), ('rehoboam', 'Réhoboam (4,5 Litres)'), ('mathusalem', 'Mathusalem (6 Litres)'), ('salmanazar', 'Salmanazar (9 Litres)'), ('balthazar', 'Balthazar (12 Litres)'), ('nabuchodonosor', 'Nabuchodonosor (15 Litres)'), ('melchior', 'Melchior (18 Litres)'), ('souverain', 'Souverain (26,25 Litres)'), ('primat', 'Primat (27 Litres)'), ('midas', 'Midas (30 Litres)')], default='bouteille', max_length=20)),
                ('available', models.SmallIntegerField()),
                ('wine', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='wine.wine')),
            ],
        ),
    ]
